Package org.jCharts.imageMap

# Class AreaShape

java.lang.Object
org.jCharts.imageMap.AreaShape

All Implemented Interfaces:
  `Serializable`

public class AreaShape extends Object implements Serializable

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final AreaShape`
`CIRCLE`
`static final AreaShape`
`POLYGON`
`static final AreaShape`
`RECTANGLE`
`private String`
`value`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`AreaShape(String value)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getValue()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### RECTANGLE

public static final AreaShape RECTANGLE

### CIRCLE

public static final AreaShape CIRCLE

### POLYGON

public static final AreaShape POLYGON

### value

private String value

## Constructor Details

### AreaShape

private AreaShape(String value)

Parameters:
  `value` -

## Method Details

### getValue

public String getValue()

Returns:
  value